# Conditionals to help breaking wildfly-legacy-spi <-> wildfly-(core-model,subsystem)-test-framework dependency cycle
%if 0%{?fedora}
%bcond_with model_test_framework
%endif

%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          wildfly-legacy-test
Version:       2.0.2
Release:       1%{?dist}
Summary:       WildFly: Legacy Test
License:       ASL 2.0 and LGPLv2+
URL:           http://wildfly.org/
Source0:       https://github.com/wildfly/wildfly-legacy-test/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss:jboss-dmr)
BuildRequires: mvn(org.jboss.jandex:jandex-maven-plugin)
BuildRequires: mvn(org.jboss.msc:jboss-msc)
BuildRequires: mvn(org.wildfly.core:wildfly-controller)
BuildRequires: mvn(org.wildfly.core:wildfly-deployment-repository)
BuildRequires: mvn(org.wildfly.core:wildfly-host-controller)
BuildRequires: mvn(org.wildfly.core:wildfly-model-test)
BuildRequires: mvn(org.wildfly.core:wildfly-server)

%if %{with model_test_framework}
BuildRequires: mvn(org.wildfly.core:wildfly-core-model-test-framework)
BuildRequires: mvn(org.wildfly.core:wildfly-subsystem-test-framework)
%endif

BuildArch:     noarch

%description
Legacy core-model-test and subsystem-test test controllers.

%package core
Summary:       WildFly: Legacy Test Core Controller

%description core
The legacy Test SPI core controller.

%package core-parent
Summary:       WildFly: Legacy Test Core Parent POM

%description core-parent
WildFly: Legacy Test Core Parent POM.

%package parent
Summary:       WildFly: Legacy Test Parent POM

%description parent
WildFly: Legacy Test Parent POM.

%package spi
Summary:       WildFly: Legacy Test SPI

%description spi
The legacy Test SPI.

%package spi-parent
Summary:       WildFly: Legacy Test SPI Parent POM

%description spi-parent
WildFly: Legacy Test SPI Parent POM.

%package subsystem
Summary:       WildFly: Legacy Test Subsystem Controller

%description subsystem
The legacy Test subsystem controller.

%package subsystem-parent
Summary:       WildFly: Legacy Test Subsystem Parent POM

%description subsystem-parent
WildFly: Legacy Test Subsystem Parent POM.

%package tools
Summary:       WildFly: Legacy Tools

%description tools
WildFly: Legacy Tools.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_disable_module dependencies spi
%pom_remove_dep -r :wildfly-legacy-spi-dependencies

for mod in 7.3.0 7.4.0 7.5.0 ; do
 %pom_disable_module ${mod} core
 %pom_disable_module ${mod} subsystem
done

%if %{without model_test_framework}
%pom_disable_module core
%pom_disable_module subsystem
rm spi/interfaces/src/main/java/org/wildfly/legacy/test/spi/subsystem/TestModelControllerFactory.java \
 spi/interfaces/src/main/java/org/wildfly/legacy/test/spi/core/TestModelControllerFactory.java
%endif

# Use directly system deps instead of wildfly-legacy-spi-dependencies
%pom_add_dep org.wildfly.core:wildfly-controller:2.1.0.Final spi/interfaces
%pom_add_dep org.wildfly.core:wildfly-deployment-repository:2.1.0.Final spi/interfaces
%pom_add_dep org.wildfly.core:wildfly-model-test:2.1.0.Final spi/interfaces

# lambda expressions are not supported in -source 1.7
%mvn_config buildSettings/compilerSource 1.8

%build

%mvn_build -s

%install
%mvn_install

%files parent -f .mfiles-wildfly-legacy-test-parent
%license LICENSE.txt

%files spi -f .mfiles-wildfly-legacy-spi
%doc README.md
%license LICENSE.txt

%files spi-parent -f .mfiles-wildfly-legacy-spi-parent
%license LICENSE.txt

%if %{with model_test_framework}
%files core -f .mfiles-wildfly-legacy-core-10.0.0
%files core-parent -f .mfiles-wildfly-legacy-core-parent
%license LICENSE.txt

%files subsystem -f .mfiles-wildfly-legacy-subsystem-8.0.0
%files subsystem-parent -f .mfiles-wildfly-legacy-subsystem-parent
%license LICENSE.txt
%endif

%files tools -f .mfiles-wildfly-legacy-tools
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Sep 16 2016 gil cattaneo <puntogil@libero.it> 2.0.2-1
- update to 2.0.2.Final

* Sun Mar 20 2016 gil cattaneo <puntogil@libero.it> 1.0.0-1
- update to 1.0.0.Final

* Mon Aug 17 2015 gil cattaneo <puntogil@libero.it> 1.0.0-0.1.Alpha9
- initial rpm
